<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <!--processor name="ProgressProcessor" /-->
    <processor name="DensityWeightingProcessor"/>
    <!--processor name="OutputProcessor"/--> 
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/work/c/cneubuse/DHCalAnalysis/DigiMC/Fe-DHCAL/DigiFromTxt/2GeVPions/Digi_TBFeDHCal-FNAL_pi-_2GeV_T1000.slcio </parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <!--parameter name="MaxRecordNumber" value="100" /-->  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="1" />
</processor>

<processor name="DensityWeightingProcessor" type="DensityWeightingProcessor">
    <parameter name="InputCollections"> DhcHits </parameter>
    <parameter name="CompareCollections"> RefHits </parameter>
    <parameter name="RefInputFile" type="string"> Digi_TBFeDHCal-FNAL_pi-_2GeV_T150.slcio </parameter>
    <parameter name="RootFileName"> DensityWeighting.root </parameter>
    <parameter name="Verbosity" > DEBUG </parameter> 
</processor>

</marlin>
